# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2018-01-08 06:45
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import mainApp.FTPStorage


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0039_auto_20180108_0641'),
    ]

    operations = [
        migrations.CreateModel(
            name='Series',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('seriesNo', models.IntegerField(default=0)),
                ('seriesName', models.CharField(blank=True, max_length=300)),
                ('seriesAuthor', models.CharField(blank=True, max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='SeriesPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo', models.FileField(null=True, storage=mainApp.FTPStorage.FTPStorage(), upload_to=b'')),
                ('series', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Series')),
            ],
        ),
    ]
